Bug 227258 - IllegalArgumentException: Parameter aRoot was not normalized. Was c:\users\christoforosl\oracle\fm11.1.2.1_64b\wlserver_10.3\..\oracle_common\modules\oracle.jsf_2.0\jsf-ri-20.war instead of C:\Users\c
IllegalArgumentException: Parameter aRoot was not normalized. Was c:\users\ch...
Status: RESOLVED FIXED
Product: serverplugins
Classification: Unclassified
Component: WebLogic
7.2
All All
: P3 (vote)
: 7.4
Assigned To: Petr Hejl
issues@serverplugins
EXCEPTIONS_REPORT
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-10 10:48 UTC by chrisl08
Modified: 2013-07-20 02:09 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (2.06 KB, text/plain)
2013-03-10 10:48 UTC, chrisl08
Details

Note You need to log in before you can comment on or make changes to this bug.
Description chrisl08 2013-03-10 10:48:48 UTC
Build: NetBeans IDE 7.2 (Build 201207171143)
VM: Java HotSpot(TM) 64-Bit Server VM, 20.2-b06, Java(TM) SE Runtime Environment, 1.6.0_27-b07
OS: Windows 7

User Comments:
GUEST: Been scanning for the past 15min

GUEST: I attempted to create a new Web Services Project.  Upon clicking "Finish" in the wizard, the project was not displayed & this error showed up.

chrisl08: Created web project from existing sources, with weblogic as the application server




Stacktrace: 
java.lang.IllegalArgumentException: Parameter aRoot was not normalized. Was c:\users\christoforosl\oracle\fm11.1.2.1_64b\wlserver_10.3\..\oracle_common\modules\oracle.jsf_2.0\jsf-ri-20.war instead of C:\Users\christoforosl\oracle\fm11.1.2.1_64b\oracle_common\modules\oracle.jsf_2.0\jsf-ri-20.war
   at org.openide.filesystems.JarFileSystem.setJarFile(JarFileSystem.java:280)
   at org.openide.filesystems.JarFileSystem.setJarFile(JarFileSystem.java:269)
   at org.netbeans.modules.j2ee.weblogic9.config.WLServerLibrarySupport.readFromFile(WLServerLibrarySupport.java:297)
   at org.netbeans.modules.j2ee.weblogic9.config.WLServerLibrarySupport.getDeployedLibraries(WLServerLibrarySupport.java:194)
   at org.netbeans.modules.j2ee.weblogic9.config.WLServerLibraryManager.getDeployedLibraries(WLServerLibraryManager.java:170)
   at org.netbeans.modules.j2ee.weblogic9.config.WLServerLibraryManager.filterDeployed(WLServerLibraryManager.java:225)
Comment 1 chrisl08 2013-03-10 10:48:50 UTC
Created attachment 132427 [details]
stacktrace
Comment 2 Jaroslav Tulach 2013-07-18 08:08:28 UTC
The caller of JarFileSystem.setJarFile e.g. weblogic9.config.WLServerLibrarySupport is supposed to normalize the passed in file.

I have clarified the current behavior in ergonomics#d68c7e8fff49
Comment 3 Petr Hejl 2013-07-18 08:31:00 UTC
Fixed in web-main 08e1829d9c24.
Comment 4 Quality Engineering 2013-07-19 02:31:31 UTC
Integrated into 'main-silver', will be available in build *201307182300* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/08e1829d9c24
User: Petr Hejl <phejl@netbeans.org>
Log: #227258 - IllegalArgumentException: Parameter aRoot was not normalized. Was c:\users\christoforosl\oracle\fm11.1.2.1_64b\wlserver_10.3\..\oracle_common\modules\oracle.jsf_2.0\jsf-ri-20.war instead of C:\Users\c
Comment 5 Quality Engineering 2013-07-20 02:09:43 UTC
Integrated into 'main-silver', will be available in build *201307192300* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/d68c7e8fff49
User: Jaroslav Tulach <jtulach@netbeans.org>
Log: #227258: Documenting the actual behavior. The incoming file was always supposed to be normalized.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo